org.apache.jmeter.report.processor

## Class Top5ErrorsSummaryData

- java.lang.Object
- - org.apache.jmeter.report.processor.Top5ErrorsSummaryData

    public class Top5ErrorsSummaryData
    extends Object

Summary data for TOP 5 of errors. Compute a map of Sample / Number of errors

Since:
  3.1

### Constructor Summary

Constructors
Constructor and Description
`Top5ErrorsSummaryData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getErrors()`
`Object[][]` `getTop5ErrorsMetrics()` Return Top 5 errors and associated frequency.
`long` `getTotal()`
`void` `incErrors()`
`void` `incTotal()`
`void` `registerError(String errorMessage)` Stores the provided error message and counts the number of times it is registered.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Top5ErrorsSummaryData

    public Top5ErrorsSummaryData()

### Method Detail

#### registerError

    public void registerError(String errorMessage)

Stores the provided error message and counts the number of times it is registered.

Parameters:
  `errorMessage` - String error message to register

#### incErrors

    public void incErrors()

#### incTotal

    public void incTotal()

#### getTotal

    public long getTotal()

#### getErrors

    public long getErrors()

#### getTop5ErrorsMetrics

    public Object[][] getTop5ErrorsMetrics()

Return Top 5 errors and associated frequency.

Returns:
  array of [String, Long]